Subject: RFC 4877 errata

From: Alfred Hönes <[email-masked]>
Date: Mon, 16 Apr 2007 21:24:19 +0200 (MESZ)

Hello,
after studying the recently published RFC 4877 (MIPv6 with IKEv2)
authored by you, I would like to point out a few textual flaws I
found in the RFC text, and supply material for an appropriate RFC
Errata Note.  (The technical content seems to be reasonable to me.)

The items below are presented in RFC textual order.
I use change bars ('|' in column 1) and occasionally
up/down pointing marker lines ('^^^'/'vvv') to emphasize
the location of textual issues and/or proposed corrections.
Modified text has been re-adjusted to match RFC formatting
rules, where appropriate.

(1)  Section 3 -- word replications

The second-to-last paragraph of Section 3 of RFC 4877, on page 4,
says:

   The packet formats for tunneled mobile prefix discovery messages are
   very similar to the tunneled Binding Update and Binding
|  Acknowledgment with the with the home address as the source address
   in the inner IP header.
                  ^^^^^^^^^^^^^^^^^^
It should say:

   The packet formats for tunneled mobile prefix discovery messages are
   very similar to the tunneled Binding Update and Binding
|  Acknowledgment with the home address as the source address in the
   inner IP header.

(2)  Section 4.2 -- suspected omission of verb

The last bullet of Section 4.2, on page 7, says:

   o  The home agent MUST use the Type 2 Routing header in Binding
      Acknowledgements and Mobile Prefix Advertisements sent to the
      mobile node when transport mode IPsec protection is used, again
|     due to the need to have the home address visible when the policy
      checks are made.

It should perhaps better say:

   o  The home agent MUST use the Type 2 Routing header in Binding
      Acknowledgements and Mobile Prefix Advertisements sent to the
      mobile node when transport mode IPsec protection is used, again
|     due to the need to have the home address be visible when the
      policy checks are made.
                                              ^^^^

(3)  Section 4.3 -- word omission

In the middle of the 4th bullet in Section 4.3 -- this is the first
paragraph on page 8 --, the RFC says:
                             v
|          [...].  The use of sequence number in the ESP header to
      provide anti-replay protection is optional because the sequence
      numbers in the Binding Updates provide anti-replay protection.

It should better say:
                             vvvvv
|          [...].  The use of the sequence number in the ESP header to
      provide anti-replay protection is optional because the sequence
      numbers in the Binding Updates provide anti-replay protection.

(4)  Section 5 -- plural missing

At the end of the item numbered '3.', Section 5 of RFC 4877 says,
near the bottom of page 10:
                                                             vvv
|                   [...].  This case uses IPsec tunnel mode SA with the
       protocol selector set to 'any'.

It should say:
                                                             vvvv
|                   [...].  This case uses IPsec tunnel mode SAs with
       the protocol selector set to 'any'.

Please comment.

All four items seem to be appropriate for an Errata Note.

Preferrably, you should submit an Author's Errata Note to the
RFC Editor's RFC Errata web pages, making freely use of the
material supplied above.  But if you like, I can formally
submit an Errata Note on my own, with your consent.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+